Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.msg
Interface PrepareMessage

All Superinterfaces:
  TransactionMessage

All Known Implementing Classes:
  PrepareMessageImp

    public interface PrepareMessage

extends TransactionMessage

A prepare message.

Field Summary

Fields inherited from interface com.atomikos.icatch.msg.TransactionMessage
`COMMIT_MESSAGE, ERROR_MESSAGE, FORGET_MESSAGE, FORMAT_SOAP, FORMAT_UNKNOWN, PREPARE_MESSAGE, PREPARED_MESSAGE, REGISTER_MESSAGE, REGISTERED_MESSAGE, REPLAY_MESSAGE, ROLLBACK_MESSAGE, STATE_MESSAGE`

Method Summary
`CascadeInfo[]` | `getCascadeInfo()` Get the orphan detection information to cascade.
`int` | `getGlobalSiblingCount()` Get the globally detected no of invocations for the target participant.
`boolean` | `hasOrphanInfo()` Check if the message is carrying information for orphan detection.

Methods inherited from interface com.atomikos.icatch.msg.TransactionMessage
`getFormat, getMessageType, getProtocol, getSenderAddress, getSenderURI, getTargetAddress, getTargetURI`

Method Detail

### hasOrphanInfo

    boolean hasOrphanInfo()

  Check if the message is carrying information for orphan detection.

  Returns:
    boolean True iff the message has info concerning orphan detection.

### getGlobalSiblingCount

    int getGlobalSiblingCount()

  Get the globally detected no of invocations for the target participant. This method should only be called if hasOrphanInfo returns true.

  Returns:
    int The globally detected no of invocations for the target participant.

### getCascadeInfo

    CascadeInfo[] getCascadeInfo()

  Get the orphan detection information to cascade. This method should only be called if hasOrphanInfo returns true.

  Returns:
    CascadeInfo[] The cascade info.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.